target: libarrayfunc.dl
libarrayfunc.dl: setarrayfunc_chdl.o setarrayfunc.o
	ch dllink libarrayfunc.dl setarrayfunc_chdl.o setarrayfunc.o

setarrayfunc_chdl.o: setarrayfunc_chdl.c
	ch dlcomp libarrayfunc.dl setarrayfunc_chdl.c
              
setarrayfunc.o: setarrayfunc.c
	ch dlcomp libarrayfunc.dl setarrayfunc.c

clear:
	rm -f *.o *.dl
